#!/bin/bash
# You can setup a slapproxy environment in your computer without ipv6.
# You must use a machine which has at least two cpu cores.
set -x

apt-get update
apt-get install -y git apache2 gnupg xz-utils

echo "deb http://download.opensuse.org/repositories/home:/VIFIBnexedi/Debian_12/ ./" | tee /etc/apt/sources.list.d/slapos.list
wget -O /etc/apt/trusted.gpg.d/vifib.asc https://download.opensuse.org/repositories/home:/VIFIBnexedi/Debian_12/Release.key
apt-get update
apt-get install -y slapos-node

ln -s /etc/apache2/mods-available/rewrite.load /etc/apache2/mods-enabled/
ln -s /etc/apache2/mods-available/proxy.conf /etc/apache2/mods-enabled/
ln -s /etc/apache2/mods-available/proxy.load /etc/apache2/mods-enabled/
ln -s /etc/apache2/mods-available/proxy_http.load /etc/apache2/mods-enabled/
wget -O /etc/apache2/sites-enabled/erp5apachefront.conf https://lab.nexedi.com/yusei/a/raw/master/erp5apachefront.conf
rm /etc/apache2/sites-enabled/000-default.conf
systemctl restart apache2.service
slapos configure local
wget -O /etc/opt/slapos/slapos.cfg https://lab.nexedi.com/yusei/a/raw/master/slapos.cfg
wget -O /etc/opt/slapos/computer_definition.cfg https://lab.nexedi.com/yusei/a/raw/master/computer_definition.cfg
mkdir -p /slapos/opt/slapos/log
mkdir -p /slapos/opt/slapgrid
mkdir -p /slapos/srv/slapgrid
mkdir -p /slapos/srv/slapgrid/var/data-log
rm -rf /opt/slapgrid
rm -rf /srv/slapgrid
ln -s /slapos/opt/slapgrid /opt/
ln -s /slapos/srv/slapgrid /srv/
slapos proxy start
slapos node format --now
slapos node supervisord
slapos supply --cfg /etc/opt/slapos/slapos.cfg https://lab.nexedi.com/nexedi/slapos/-/raw/1.0.389/software/theia/software.cfg local_computer
wget https://lab.nexedi.com/yusei/a/raw/master/request_theia.py
slapos console --cfg /etc/opt/slapos/slapos.cfg < request_theia.py